### Function

# Gtk PaperSize new_from_gvariant

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_from_gvariant (
      GVariant* variant
    )

#### Description [src]

Deserialize a paper size from a `GVariant`.

The `GVariant must be in the format produced by gtk_paper_size_to_gvariant().

#### Parameters

`variant` | `GVariant*`
| An a{sv} `GVariant`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkPaperSize`
| A new `GtkPaperSize` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.